import 'package:flutter/material.dart';
import 'package:getx_extended/controller/export.dart';
import 'package:getx_extended/export.dart';

class HomePage extends StatelessWidget {
  TaskController _taskController = Get.find();

  @override
  Widget build(BuildContext context) => Scaffold(
        appBar: AppBar(
          title: Text("Demo"),
        ),
        body: ListView(
          padding: EdgeInsets.all(24),
          children: [
            ElevatedButton(
              onPressed: () {
                _taskController
                    .enqueue(() => Future.delayed(Duration(seconds: 2)));
              },
              child: Text("Add loading "),
            ),
            ElevatedButton(
              onPressed: () {
                _taskController.catchError(DateTime.now());
              },
              child: Text("Add error "),
            ),
            TextField()
          ],
        ),
      );
}
